import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message';

const width = 960;
const height = 500;

const CSVurl='https://gist.githubusercontent.com/rkazak/9433cd257e0615a2847c19112cc58a1d/raw/basic_colors.csv';

const App = () => {
  
  const [data, setData] = useState(null);
  
  useEffect( () => {
  	csv(CSVurl).then(setData);
    console.log("Fetching data...");
	}, []);
  return <div>Data is: { data ? message(data) : 'loading...' })</div>;
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);